2 Replies Latest reply on Mar 25, 2016 8:49 AM by jim.schimpf_1583906

    CY5670 Dongle won't connect

    jim.schimpf_1583906

      Hi,

         

           I have the CY8CKIT-042-BLE kit and have used the CY5670 dongle with CySmart 1.2 and it has been very useful.  Now suddenly CySmart won't see the dongle.  It brings up a dialog that says I have to update the firmware to C:\Program Files(x86)\Cypress\Cysmart1.2\dongle\CY5670\BLE_4_1_Dongle_CySmart_128K.hex.

         

       But when I open PSoc Programmer 3.24.2 It says the dongle is running that file. (see  PNG attached)

         

      Successfully Connected to KitProg/BLE0F20122F03314400 at 4:32:11 AM | KitProg Version 2.16
      Opening Port at 4:32:10 AM                                          | 
      Device set to CYBL10162-56LQXI at 4:32:09 AM                        | 131072 FLASH bytes
      Device Family set to CY8C4xxx-BLE at 4:32:09 AM                     | 
      Active HEX file set at 4:32:09 AM                                   | C:\Program Files (x86)\Cypress\CySmart\1.2\dongle\CY5670\BLE_4_1_Dongle_CySmart_128K.hex
                                                                          |  
                                                                          | Users must be aware that the following PSoC device should not be powered or programmed at 5V. Doing so will cause damage to the device: CYRF89xxx
      Session Started at 4:32:08 AM                                       | PPCOM Version 20.0

         

      So it has the correct file but still won't use  it.  All my Cypress programs have been updated to current, Any suggestions what I can do ?

         

      Thank you,

         

      --jim schimpf